
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>疑难杂症：在ASP.NET AJAX中别使用 / iVAN</title>

    <meta name="description" content="疑难杂症：在ASP.NET AJAX中别使用 ajax|asp.net 最近,我帮过几个开发人员,他们遇上了一些古怪的JavaScript问题,这些问题会在使用ASP.NET AJAX 以及他们的一些自定义的JavaScript脚本时出现.问题的主因在于,他们是把VS 2003 Web项目自动移植到VS 2005的,在他们的web.config文件中还配置有 &lt;xhtmlConformance mode=&quot;Legacy&quot;/&gt; . 假如你在你的 web 应用中编写了自定义的客户端JavaScript脚本,而且将 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">疑难杂症：在ASP.NET AJAX中别使用</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>ajax|asp.net</p>
<p>最近，我帮过几个开发人员，他们遇上了一些古怪的JavaScript问题，这些问题会在使用ASP.NET AJAX 以及他们的一些自定义的JavaScript脚本时出现。问题的主因在于，他们是把VS 2003 Web项目自动移植到VS 2005的，在他们的web.config文件中还配置有 &lt;xhtmlConformance mode="Legacy"/&gt; 。</p>
<p>假如你在你的 web 应用中编写了自定义的客户端JavaScript脚本，而且将使用AJAX的话，请读下去，了解如何避免这个常见的疑难杂症 (注：想浏览我贴出的其他技巧，诀窍和疑难杂症的帖子列单的话，请访问这里的这个网页)。</p>
<p>症状：</p>
<p>当你往先前成功地从VS 2003 升级到VS 2005的项目中添加新的客户端JavaScript脚本时，你会看到奇怪的行为。在使用ASP.NET AJAX UpdatePanel 控件时，这个奇怪的行为有时会包括页面做整页 postback，而不仅是递增性的局部更新的情形。</p>
<p>当你打开你的web.config文件，你会看到其中的 &lt;xhtmlConformance/&gt; 元素，象这样：</p>
<p>&lt;configuration&gt;</p>
<p>    &lt;system.web&gt;<br />        &lt;xhtmlConformance mode="Legacy" /&gt;<br />    &lt;/system.web&gt;</p>
<p>&lt;/configuration&gt; <br />背景：</p>
<p>ASP.NET 1.0 和 1.1 中的许多服务器端控件并不输出与XHTML兼容的标识。ASP.NET 2.0 对此做了改变，在默认情形下，所有的服务器端控件都会输出与XHTML兼容的标识 (注：你可以从这篇优秀的MSDN文章中进一步了解ASP.NET 2.0 中标准兼容的情况)。</p>
<p>但在早期的ASP.NET 2.0 beta 中我们注意到的一件事情是，当把客户应用升级时，其实，很多应用会假设页面输出并不是与XHTML兼容的。把我们服务器控件的默认输出改成与XHTML兼容的话，它有时会修改页面的视觉显示。为向后兼容的目的，我们添加了上面这个 &lt;xhtmlConformance&gt; 设置，允许开发人员可以设置控件以Legacy模式(即与ASP.NET 1.1一样，会输出非XHTML标识)，或者Transitional 模式 (XHTML Transitional) ，或者 Strict 模式 (XHTML Strict)显示。</p>
<p>在默认情形下，当你使用VS 2003升级到VS 2005的Web项目移植向导时(无论是网站或 web 应用项目)，你的web.config文件里会添有这个legacy配置。</p>
<p>解决方案：</p>
<p>除非你已知当你的网站以XHTML模式运行时会有问题(但你还没时间更正)，我总是建议从你的web.config文件里去掉 &lt;xhtmlConformance&gt; 这部分，或者你也可以明确地将其设置为Transitional 或 Strict。</p>
<p>这将使得你的HTML输出是符合标准的，此外，这也将导致你的服务器控件的HTML输出是well formed，即， 开始标签和结束标签总是相匹配的。当你使用AJAX技术来动态替换你的页面上某些HTML元素的内容时，这尤其重要，否则的话，客户端JavaScript脚本有时会搞不清楚容器元素，导致出错。它也将确保ASP.NET AJAX会在你的网站上正常工作。</p>
<p>希望本文对你有所帮助，</p>
<p>Scott</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-28 15:13:14</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e8%be%93%e5%87%ba/" title="输出">输出</a>, <a href="https://www.iamivan.net/tag/%e6%8e%a7%e4%bb%b6/" title="控件">控件</a>, <a href="https://www.iamivan.net/tag/net/" title="net">net</a>, <a href="https://www.iamivan.net/tag/asp/" title="asp">asp</a>, <a href="https://www.iamivan.net/tag/javascript/" title="javascript">javascript</a>, <a href="https://www.iamivan.net/tag/xhtml/" title="xhtml">xhtml</a>, <a href="https://www.iamivan.net/tag/ajax%e6%a0%87%e7%ad%bejspstruts2-0/" title="ajax标签jspstruts2&period;0">ajax标签jspstruts2&period;0</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>疑难杂症：在ASP.NET AJAX中别使用的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/VMr7BVp.html" rel="bookmark">在ASP&period;NET AJAX中别使用mode&equals;Legacy</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ajax|asp.net 最近,我帮过几个开发人员,他们遇上了一些古怪的javascript问题,这些问题会在使用ASP.NET AJAX 以及他们的一些自定义的JavaScript脚本时出现.问题的主因在于,他们是把VS 2003 Web项目自动移植到VS 2005的,在他们的web.config文件中还配置有 &lt;xhtmlConformance mode=&quot;Legacy&quot;/&gt; . 假如你在你的 web 应用中编写了自定义的客户端JavaScript脚本,而且将使用AJA			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ybjZDWb.html" rel="bookmark">在ASP&period;NET AJAX中别使用mode&equals;&amp;amp&semi;quot&semi;Legacy&amp;amp&semi;quot&semi;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[导读]假如你在你的 web 应用中编写了自定义的客户端JavaScript脚本,而且将使用AJAX的话,需要了解如何避免文中提到的这个常见的疑难杂症. 开发人员遇上了一些古怪的JavaScript问题,这些问题会在使用ASP.NET AJAX 以及他们的一些自定义的JavaScript脚本时出现. 问题的主因在于,他们是把VS 2003 Web项目自动移植到VS 2005的,在他们的web.config文件中还配置有 . 假如你在你的 web 应用中编写了自定义的客户端JavaScript脚本			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPNX01b.html" rel="bookmark">在ASP&period;NET AJAX中别使用mode&equals;&OpenCurlyDoubleQuote;Legacy&rdquo;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近,我帮过几个开发人员,他们遇上了一些古怪的javascript问题,这些问题会在使用ASP.NET AJAX 以及他们的一些自定义的JavaScript脚本时出现.问题的主因在于,他们是把VS 2003 Web项目自动移植到VS 2005的,在他们的web.config文件中还配置有 &lt;xhtmlConformance mode=&quot;Legacy&quot;/&gt; . 假如你在你的 web 应用中编写了自定义的客户端JavaScript脚本,而且将使用AJAX的话,请读下去,了解如何			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/LpdBOXb.html" rel="bookmark">如何在ASP&period;Net Ajax中调用WebService</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ajax|asp.net|web 今天我想实现利用javascript调用WebService我首先就想到了ASP.Net Ajax 因为微软的东西用着方便,我从网上看了看,这东西好多人都写了,我就从官方找了个Demo下了看看源代码,感觉没什么特殊的,于是动手开始写.先添加一个webservice.asmx然后在default.aspx中加入ScriptManager 并设置serviecs属性&lt;asp:ScriptManager runat=&quot;server&quot; ID=&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XMlW9Db.html" rel="bookmark">Asp&period;net Ajax 中的脚本错误&colon; Sys未定义 的解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ajax|asp.net|错误|脚本|解决         提前祝大家新年好!前段时间日夜赶工,终于按计划推出了项目的新版本.今天终于有时间写点东西了.         前段时间公司同事在项目中引入了Asp.net Ajax (beta1)版. 用着用着,在查看网页时,不时报 'Sys'未定义 的错误.按照网上的办法对web.confg 做了一翻手术,一点效果也没有.想想也对,web.config跟本没改动过,凭什么突然就把问题都算在人家头上?经过一翻摸索后,突然发现,原来是身份验证惹的祸.在配			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M911QXM.html" rel="bookmark">分清ASP&period;NET AJAX中的Extender和Behavior模型</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ASP.NET AJAX提出了多种模型,在客户端有Component.Control和Behavior模型,在服务器端有 ScirptControl和Extender模型.这些模型各有各的用途,但是请注意非常重要的一点:客户端模型和服 务器端模型是相互独立的. ASP.NET AJAX的重要组件之一是Ajax Control Toolkit,其中包括了大量 的Extender和Behavior.其中的Extender使用ASP.NET AJAX提出的Extender模型,在客户端使用了 Micr			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPNN6lb.html" rel="bookmark">探索ASP&period;NET AJAX中的消息传输模式&lpar;一&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在我们使用AJAX的应用中,消息传输有那些方式呢?纯文本.带HTML的文本.XML.JSON?还有??? 在许多情况下,纯文本的消息传输就足够了.例如,要传输一个用户名,用户密码,或是用户联系方法 (PHONE,EMAIL,MSN)等,通常都是以文本的形式传输的.又比如复杂点的数据信息,表格.对象或者是? ??,这样我们可以使用XML或是JSON来格式化数据后进行传输. 有这样一个AJAX的应用场合,提供一系列的标签连接,让用户任意选择,浏览器向服务器发送请求查 询得到想要的数据信息.下面就以这			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAaaKXM.html" rel="bookmark">使用Jquery应用到Asp&period;net ajax中时应该避免的3个误区</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Ajax中使用json这个轻量级数据类型通信的好处相信大家已经很清楚,考虑到安全问题,Asp.net Ajax的webService使用json,应该防止Json Hijacking.因此通常我们的做法是在使用Post请求式,并将 请求的content-type设置成application/json; charset=utf-8.但客户端如果你使用的是Jquery,有三 个细节问题是我们应该注意的: 1 :如果我们Post时没有任何数据传给服务端,请指定Data:{} 如: Code 1 $.a			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnx6Jrb.html" rel="bookmark">Asp&period;net Ajax中的脚本错误&OpenCurlyDoubleQuote;Sys未定义&rdquo;的解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				提前祝大家新年好!前段时间日夜赶工,终于按计划推出了项目的新版本.今天终于有时间写点东西了. 前段时间公司同事在项目中引入了Asp.net Ajax (beta1)版. 用着用着,在查看网页时,不时报 'Sys'未定义 的错误.按照网上的办法对web.confg 做了一翻手术,一点效果也没有.想想也对,web.config跟本没改动过,凭什么突然就把问题都算在人家头上?经过一翻摸索后,突然发现,原来是身份验证惹的祸.在配置了身份验证的网站中,访问未登录页面时,对Ajax脚本资源的访问被拒绝,转向			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8gWoM.html" rel="bookmark" class="title">CSS3变形属性&colon;CSS3 3D Transform</a>
					<div>
						文章简介:作为一个网页设计师,你可能熟悉在二维空间工作,但是在三维空间上工作并不太熟悉.使用二维变形我们能够改变元素在水平和垂直轴线,然而还有一个轴沿着它,我们可以改变元素.使用三维变形,我们可以改变 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrG2vp.html" rel="bookmark" class="title">asp&period;net项目运行的权限问题</a>
					<div>
						asp.net|问题|项目 最近开发中遇到一个问题,费了两天时间,终于解决了．总结一下,以供大家参考． 我从邮箱下载一个asp.net项目到本地机器,然后建立虚拟目录,用VS打开,运行调试,出现错误． ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpn1gAM.html" rel="bookmark" class="title">vsftpd 500 OOPS&colon; cannot change directory问题</a>
					<div>
						今天在配置ftp时,所有配置完毕后,,启动vsftpd,通过用户登陆ftp,居然报错: C:\&gt;ftp 10.10.1.239 Connected to 10.10.1.239 220 (vsF ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj77YVM.html" rel="bookmark" class="title">IHttpHandler与IHttpModule的知识</a>
					<div>
						上篇文章我们主要讲了HttpApplicatiion管道事件,那么我么如何处理这些管道事件呢,以及请求在ASP.NET是如何执行的呢,我们来了解一下IHttpHandler和IHttpModule 引 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPN1Bqb.html" rel="bookmark" class="title">Java编程那些事儿100&mdash;&mdash;多线程问题及处理3</a>
					<div>
						12.4.3 死锁 多线程编程在实际的网络程序开发中,在客户端程序实现中使用的比较简单,但是在服务器端程序实现中却不仅是大量使用,而且会出现比客户端更多的问题. 另外一个容易在服务器端出现的多线程问题 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLv6kb.html" rel="bookmark" class="title">Photoshop制作3D效果的暗红色艺术字</a>
					<div>
						本教程主要使用Photoshop制作3D效果的暗红色艺术字,教程主要使用图层样式的参数设置和3D滤镜来完成,整体的效果非常漂亮的,喜欢的朋友让我们一起来学习吧. 首先看一下最终效果图: 具体的制作步骤 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBJRvb.html" rel="bookmark" class="title">jQuery聚合函数实例</a>
					<div>
						  本文实例讲述了jQuery聚合函数.分享给大家供大家参考.具体如下: ? 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 (function($) { $.fn ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7Lk3b.html" rel="bookmark" class="title">Jquery的基本对象转换和文档加载用法实例</a>
					<div>
						 这篇文章主要介绍了Jquery的基本对象转换和文档加载用法,实例分析了Jquery的基本对象转换及文档加载使用技巧,具有一定参考借鉴价值,需要的朋友可以参考下     本文实例讲述了Jquery的基 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKke3ab.html" rel="bookmark" class="title">Parallels Desktop融合模式介绍</a>
					<div>
						  融合 (Coherence) 是一种能够让您在 Mac 上如同运行其原生应用程序一样运行 Windows 应用程序的查看模式. 注意:Parallels Desktop 虚拟机在第一次启动时会在融 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvG8grp.html" rel="bookmark" class="title">基于xmpp openfire smack开发之Android客户端开发&lbrack;3&rsqb;</a>
					<div>
						在上两篇文章中,我们依次介绍openfire部署以及smack常用API的使用,这一节中我们着力介绍如何基于asmack开发一个Android的客户端,本篇的重点在实践,讲解和原理环节,大家可以参考前 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvG0aAp.html" rel="bookmark" class="title">ext22-EXT2&period;2布局问题 关闭后产生混乱</a>
					<div>
						问题描述 EXT2.2布局问题 关闭后产生混乱 在ext2.2 的tabPanel中使用了 border布局后 关闭这个tabpanel 窗口改变大小 其他的tabpanel布局产生错乱 在west中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1EY59M.html" rel="bookmark" class="title">简化通知中心的使用</a>
					<div>
						简化通知中心的使用     说明 1. 简化通知中心,笔者曾经实现过不需要移除的通知中心,基于弱引用集合(相对于强引用集合如NSArray,NSDictionary等)编写,本例子并无太多新意 2.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZK4ob.html" rel="bookmark" class="title">asp与数据库连接mssql</a>
					<div>
						随便写写了. 很简单的.与access da_path=&quot;**.mdb&quot; set rs=server.CreateObject(&quot;adodb.recordset&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2P4Qrp.html" rel="bookmark" class="title">status-ajax url地址无法进入</a>
					<div>
						问题描述 ajax url地址无法进入 action里打了断点但是根本没有进action 页面里有一个按钮触发changestatus js: function ChangeStatus(id,sta ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRLNjb.html" rel="bookmark" class="title">c&num;文件路勁里添加時間戳格式應該怎麼寫？</a>
					<div>
						问题描述 c#文件路勁里添加時間戳格式應該怎麼寫? string Path = @&quot;&quot;C:標籤報表.xls&quot;&quot;;例如這是路勁,在路勁裏面添加時間戳,謝謝! 解决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxY63Qp.html" rel="bookmark" class="title">Skype出现严重的问题已暂停下载</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 Skype 遇到麻烦了,他们在周四 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba78XJp.html" rel="bookmark" class="title">Go语言实现的简单网络端口扫描方法&lowbar;Golang</a>
					<div>
						本文实例讲述了Go语言实现的简单网络端口扫描方法.分享给大家供大家参考.具体实现方法如下: 复制代码 代码如下: package main import (  &quot;net&quot;  &qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwEOmM.html" rel="bookmark" class="title">H&period;264视频的RTP荷载格式</a>
					<div>
						Status of This Memo    This document specifies an Internet standards track protocol for the   Intern ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJG6Qp.html" rel="bookmark" class="title">宫本茂对其他游戏公司表示不满&comma;怒斥生产同类模仿产品</a>
					<div>
						任天堂公司著名的设计师宫本茂(Shigeru Miyamoto)近日对其他游戏公司表示了不满,怒斥它们生产了大量的同类模仿产品. 在接受&lt;每日电讯报&gt;(Telegraph)的访问时,宫本茂 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxELV7p.html" rel="bookmark" class="title">reduce执行很慢。</a>
					<div>
						问题描述 分析一个400多M的数据,如果正常的执行,然后把执行的结果放到hive里,很快,效果还比较满意.从HDFS上可看到结果文件有300多M.由于需求得要把结果数据放到mysql数据库里,这300 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAkgnZz.html" rel="bookmark" class="title">服务器-QQ互联后，用户数据是保存在哪里？</a>
					<div>
						问题描述 QQ互联后,用户数据是保存在哪里? 移动或者网站中,我们常常看见一些诸如,使用第三方登录:QQ登录.微信登录.微博登录等等 那么,我们等我们使用了QQ登录(其它类似)后,用户的信息是保存在Q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ121Ob.html" rel="bookmark" class="title">Facebook第三次克隆Snapchat 在发展中国家试水</a>
					<div>
						通过Messenger和WhatsApp这两款分别超过十亿用户的聊天软件,Facebook已经主导了全球移动聊天市场.不过在面向年轻人的阅后即焚聊天等领域,Facebook吸引力不如Snapchat. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mlm5l8p.html" rel="bookmark" class="title">如何实现Linux tmp目录自动清理</a>
					<div>
						在Linux系统中/tmp文件夹下的文件是会被清理.删除的,文件清理的规则是如何设定的呢? 以Redhat为例,这个主要是因为作业里面会调用tmpwatch命令删除那些一段时间没有访问的文件. 那么什 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqgOQGz.html" rel="bookmark" class="title">ListView单选的实现总结（转）</a>
					<div>
						            今天在智能停车场项目中需要实现PullToRefreshListView的单选功能,考虑到分页,刷新等,以前的实现方式是采用自己维护一个集合保存选中位置的选中状态,但这个方式比 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZm4Eqp.html" rel="bookmark" class="title">通过支付宝个人转账后台进行的转账，如何用asp&period;net查询出是否转账成功的记录</a>
					<div>
						问题描述 通过支付宝个人转账后台进行的转账,如何用asp.net查询出是否转账成功的记录https://shenghuo.alipay.com/send/payment/fill.htm我想都想知道这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBy9W4z.html" rel="bookmark" class="title">社交网络经验50条 看微博&amp;微信实战经验</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 人心变幻莫测,运营如何把握社交网络? 1.大部分,不,是绝大部分都被社交网络平台是企业自媒体这一伪证给坑害了.于是,它们忘却了社交网络的基础,而着急使用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn4q6jb.html" rel="bookmark" class="title">flex 天气预报-大神就我 Flex4调用天气预报WEBService天气预报天气图片不显示</a>
					<div>
						问题描述 大神就我 Flex4调用天气预报WEBService天气预报天气图片不显示 最近项目用Flex前端开发,首页需要显示个天气预报,最好是根据IP地址获取天气预报的,还有就是能显示天气预报的图片 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zG38mkz.html" rel="bookmark" class="title">诺基亚：没有完美个人，只有完美团队</a>
					<div>
						产品研发通常是一项涉及面很广.复杂度很深.周期越来越短的系统工程,需要大量研发人才的参与.由于研发人才都是具有专门才智的精英,管理他们是一个巨大挑战.诺基亚的研发文化强调&quot;没有完美的个人,只 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdBxD3b.html" rel="bookmark" class="title">抢答题！！！</a>
					<div>
						问题描述 例如一个整型数组 int temp[] = {2,2,1,2,3,3,2}其中2这个元素的个数大于了数组长度的一半,则称2为这个数组的&quot;持重点&quot;:用程序算出给定这个数组的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3E1gmp.html" rel="bookmark" class="title">商标抢注蔓延至线上品牌 多家淘品牌被抢注</a>
					<div>
						中广网北京4月15日消息(记者庄胜春)据中国之声&lt;央广新闻&gt;报道,提到http://www.aliyun.com/zixun/aggregation/31942.html&quot;&gt ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
